Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Ok]Compilazione nvidia-drivers kernel gentoo-sources-3.7.10
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Javaskit
n00b
n00b


Joined: 12 Jul 2012
Posts: 14

PostPosted: Tue Mar 05, 2013 9:16 pm    Post subject: [Ok]Compilazione nvidia-drivers kernel gentoo-sources-3.7.10 Reply with quote

Salve a tutti,

Dopo aver aggiornato il kernel installando sys-kernel/gentoo-sources-3.7.10, per reinstallare i moduli nVidia ho dato il comando

Code:

emerge -av1 '=x11-drivers/nvidia-drivers-304.64'


ed emerge ha restituito l'errore

Code:

* Messages for package x11-drivers/nvidia-drivers-304.64:

 *   CONFIG_MTRR:        is not set when it should be.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.

 * Messages for package x11-drivers/nvidia-drivers-304.64:

 * Gentoo supports kernel's which are supported by NVIDIA
 * which are limited to the following kernels:
 * <sys-kernel/gentoo-sources-3.7
 * <sys-kernel/vanilla-sources-3.7
 *
 * You are free to utilize epatch_user to provide whatever
 * support you feel is appropriate, but will not receive
 * support as a result of those changes.
 * ERROR: x11-drivers/nvidia-drivers-304.64 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=x11-drivers/nvidia-drivers-304.64'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/nvidia-drivers-304.64'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-304.64/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-304.64/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-drivers/nvidia-drivers-304.64/work/kernel'
 * S: '/var/tmp/portage/x11-drivers/nvidia-drivers-304.64/work/'


Per quanto riguarda CONFIG_MTRR non settato, se eseguo il comando zcat /proc/config.gz | grep CONFIG_MTRR ho :
Code:

CONFIG_MTRR=y
# CONFIG_MTRR_SANITIZER is not set


Il collegamento simbolico /usr/src/linux punta effettivamente ai sorgenti del kernel 3.7.10. Oltre a questo la seconda parte dell'errore sembra dire che i kernel <sys-kernel/gentoo-sources-3.7 non sono compatibili con nVidia. Se così fosse dovrei continuare a usare il kernel vecchio oppure c'è qualche altra possibilità ??? Grazie in anticipo per l'aiuto :)






P.S. : Siccome era da un po' che non aggiornavo il sistema devo ancora impostare il nuovo profilo default/linux/x86/13.0/desktop/kde ma non penso che questo dia problemi ai driver nVidia.


Last edited by Javaskit on Sat Mar 09, 2013 8:20 pm; edited 1 time in total
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1485
Location: Cosenza, Italy

PostPosted: Tue Mar 05, 2013 10:49 pm    Post subject: Reply with quote

I drivers nvidia non funzionano con il kernel 3.7 e 3.8
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Tue Mar 05, 2013 11:19 pm    Post subject: Reply with quote

Forse i driver 304 sono obsoleti per i kernel 3.7 e 3.8; io ho appena riavviato il sistema passando a ck-sources-3.7.10 + nvidia-drivers-313.26.
Back to top
View user's profile Send private message
mrl4n
Guru
Guru


Joined: 08 Apr 2009
Posts: 588

PostPosted: Wed Mar 06, 2013 8:04 am    Post subject: Reply with quote

Io sto usando i 310.32 su kernel 3.7.10 senza problemi... :lol:

Prova a lanciare
Code:
ln -s /usr/src/linux/include/generated/uapi/linux/version.h /usr/src/linux/include/linux/version.h
e poi riemergi nvidia...per me ha funzionato.
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2893
Location: Parma (Italy)

PostPosted: Wed Mar 06, 2013 2:32 pm    Post subject: Reply with quote

secondo l'ebuild dalla versione 313.26 i kernel 3.7 e 3.8 sono supportati.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 78

PostPosted: Sat Mar 09, 2013 12:58 pm    Post subject: Reply with quote

Anche a me me non andava.. avevo l'orologio che andva 10 ore avanti.
Ho risolto anche io con:

Prova a lanciare
Code:
ln -s /usr/src/linux/include/generated/uapi/linux/version.h /usr/src/linux/include/linux/version.h
e poi riemergi nvidia...per me ha funzionato.[/quote]
_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+Slim+Systemd
Mai discutere con un imbecille.Ti porta al suo livello e ti batte con l'esperienza!!!:-)
Back to top
View user's profile Send private message
Javaskit
n00b
n00b


Joined: 12 Jul 2012
Posts: 14

PostPosted: Sat Mar 09, 2013 8:20 pm    Post subject: Reply with quote

Ho installato x11-drivers/nvidia-drivers-313.26 e l'errore è scomparso :D . Grazie a tutti per l'aiuto !!!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum